[arch-commits] Commit in libcanberra/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun Jun 7 09:07:19 EDT 2009


    Date: Sunday, June 7, 2009 @ 09:07:19
  Author: jgc
Revision: 41825

Merged revisions 40968,41775,41824 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libcanberra/trunk

........
  r40968 | jgc | 2009-06-01 17:26:00 +0200 (Mon, 01 Jun 2009) | 2 lines
  
  upgpkg: libcanberra 0.12-1
      Add script to load canberra gtkmodule by default
........
  r41775 | jgc | 2009-06-07 11:40:34 +0200 (Sun, 07 Jun 2009) | 1 line
  
  Add missing file
........
  r41824 | jgc | 2009-06-07 15:07:01 +0200 (Sun, 07 Jun 2009) | 2 lines
  
  upgpkg: libcanberra 0.12-1
      Add md5sum for patch
........

Added:
  libcanberra/repos/extra-i686/libcanberra-gtk-module.sh
    (from rev 41824, libcanberra/trunk/libcanberra-gtk-module.sh)
Modified:
  libcanberra/repos/extra-i686/	(properties)
  libcanberra/repos/extra-i686/PKGBUILD

---------------------------+
 PKGBUILD                  |   20 ++++++++++++++------
 libcanberra-gtk-module.sh |   10 ++++++++++
 2 files changed, 24 insertions(+), 6 deletions(-)


Property changes on: libcanberra/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libcanberra/trunk:1-26961
   + /libcanberra/trunk:1-41824

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-06-07 13:07:01 UTC (rev 41824)
+++ extra-i686/PKGBUILD	2009-06-07 13:07:19 UTC (rev 41825)
@@ -2,22 +2,27 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=libcanberra
-pkgver=0.11
-pkgrel=2
+pkgver=0.12
+pkgrel=1
 pkgdesc="A small and lightweight implementation of the XDG Sound Theme Specification"
 arch=(i686 x86_64)
 license=('LGPL')
-depends=('libvorbis>=1.2.1rc1' 'gstreamer0.10>=0.10.21' 'libtool>=2.2.6a' 'gtk2>=2.14.7' 'alsa-lib>=1.0.19' 'tdb>=3.2.7' 'gconf>=2.24.0')
+depends=('libvorbis>=1.2.1rc1' 'gstreamer0.10>=0.10.21' 'libtool>=2.2.6a' 'gtk2>=2.16.2' 'alsa-lib>=1.0.19' 'tdb>=3.3.4' 'gconf>=2.26.0')
 makedepends=('gtk-doc')
 install=libcanberra.install
 options=(!emptydirs)
 url=http://0pointer.de/lennart/projects/libcanberra
-source=(http://0pointer.de/lennart/projects/${pkgname}/${pkgname}-${pkgver}.tar.gz)
-md5sums=('c661db14cb0b1fe9b6963defacc3bba6')
+source=(http://0pointer.de/lennart/projects/${pkgname}/${pkgname}-${pkgver}.tar.gz
+	libcanberra-gtk-module.sh)
+md5sums=('01a1952e861defa6de9d193558f2a732'
+         'a54799e624aac814b9343ab05f25c38b')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
-  ./configure --sysconfdir=/etc --prefix=/usr --localstatedir=/var --disable-static --disable-rpath --enable-alsa --enable-null --with-builtin=dso || return 1
+  ./configure --sysconfdir=/etc --prefix=/usr --localstatedir=/var \
+    --disable-static --disable-rpath \
+    --enable-alsa --enable-null --enable-gstreamer --disable-oss \
+    --with-builtin=dso || return 1
   make || return 1
   make -j1 DESTDIR="${pkgdir}" install || return 1
   rm -f "${pkgdir}/usr/lib/libcanberra-gtk.la"
@@ -25,4 +30,7 @@
   
   install -m755 -d "${pkgdir}/usr/share/gconf" 
   mv "${pkgdir}/etc/gconf/schemas" "${pkgdir}/usr/share/gconf/"
+
+  install -m755 -d "${pkgdir}/etc/X11/xinit/xinitrc.d"
+  install -m755 "${srcdir}/libcanberra-gtk-module.sh" "${pkgdir}/etc/X11/xinit/xinitrc.d/40-libcanberra-gtk-module" || return 1
 }

Copied: libcanberra/repos/extra-i686/libcanberra-gtk-module.sh (from rev 41824, libcanberra/trunk/libcanberra-gtk-module.sh)
===================================================================
--- extra-i686/libcanberra-gtk-module.sh	                        (rev 0)
+++ extra-i686/libcanberra-gtk-module.sh	2009-06-07 13:07:19 UTC (rev 41825)
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+if [ -z "$GTK_MODULES" ] ; then
+	GTK_MODULES="canberra-gtk-module"
+else
+	GTK_MODULES="$GTK_MODULES:canberra-gtk-module"
+fi
+
+export GTK_MODULES
+



More information about the arch-commits mailing list